<?php
/**
 * @package inc2734/wp-awesome-widgets
 * @author inc2734
 * @license GPL-2.0+
 */

/**
 * Site branding widget
 */
class Inc2734_WP_Awesome_Widgets_Site_Branding extends Inc2734_WP_Awesome_Widgets_Abstract_Widget {

	/**
	 * @var array
	 */
	protected $_defaults = [
		'description' => '',
	];

	public function __construct() {
		parent::__construct( false, __( 'WPAW: Site branding', 'inc2734-wp-awesome-widgets' ), [
			'customize_selective_refresh' => true,
		] );
	}

	public function update( $new_instance, $old_instance ) {
		$new_instance = shortcode_atts( $this->_defaults, $new_instance );
		return $new_instance;
	}
}

add_action( 'widgets_init', function() {
	register_widget( 'Inc2734_WP_Awesome_Widgets_Site_Branding' );
} );
